Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.ugm.providers.controls
Interface DelegatedProviderManagerControlFacade

    public interface DelegatedProviderManagerControlFacade

A custom control interface used to interact with DelegatedProviderManager.

Method Summary
`List<AtnProviderDescription>` | `getAtnProviders(HttpServletRequest request)` Returns a list of Strings representing the Authentication Providers that the current subject has been delegated to use.
`PagedResult` | `getAtnProviders(HttpServletRequest request, int pageSize)`
`List<RoleProviderDescription>` | `getRoleProviders()` Returns a list of Strings representing the currently configured RoleMappers
`PagedResult` | `getRoleProviders(int pageSize)`

Method Detail

### getAtnProviders

    List<AtnProviderDescription> getAtnProviders(HttpServletRequest request)
                                                 throws com.bea.p13n.entitlements.common.PolicyRefException,
                                                        NoProvidersFoundException

  Returns a list of Strings representing the Authentication Providers that the current subject has been delegated to use.

  Parameters
    `request` - HttpServletRequest
  Returns
    An ArrayList of Authentication Provider names
  Throws
    `com.bea.p13n.entitlements.common.PolicyRefException`
    `NoProvidersFoundException`

### getAtnProviders

    PagedResult getAtnProviders(HttpServletRequest request,
                                int pageSize)
                                throws com.bea.p13n.entitlements.common.PolicyRefException,
                                       NoProvidersFoundException

  Throws
    `com.bea.p13n.entitlements.common.PolicyRefException`
    `NoProvidersFoundException`

### getRoleProviders

    List<RoleProviderDescription> getRoleProviders()
                                                   throws ProviderMgmtException

  Returns a list of Strings representing the currently configured RoleMappers

  Returns
    An ArrayList of Authentication Providers names
  Throws
    `ProviderMgmtException`

### getRoleProviders

    PagedResult getRoleProviders(int pageSize)
                                 throws ProviderMgmtException

  Throws
    `ProviderMgmtException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved